Subject: [mpls] AD review: draft-ietf-mpls-tp-temporal-hitless-psm

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Fri, 26 Feb 2016 22:43:39 +0000

Hi,

I've done my AD review of this document. I'm not sure these are concerns or I need clarification on the intention of this document:

1.      At first reading of this draft, no alarms were triggered as I was thinking the aim was a profile of standard MPLS-TP OAM. But after some re-reading, there is no explicit requirement for compatibility with the standard MPLS-TP OAM solution? The abstract states "this document provides considerations for the specification of new requirements to consider a new improved mechanism". So it seems this draft is opening the door for an alternative method to be developed?
2.      I noted you did not use the name "MPLS-TP" in the title (only the draft title). RFC5921 is very clear in defining MPLS-TP and MPLS-TP OAM and says any additional functions falling outside the scope of MPLS-TP will be treated as an evolution of MPLS. It would be a very slippery slope to say these are MPLS-TP requirements. To avoid confusion, the text also needs to be explicit that these requirements are not associated with MPLS-TP but are applicable for both MPLS and MPLS-TP networks.
3.      Requirements should be scoped to requirements, then an assessment can be made if the current standard MPLS-TP OAM (or MPLS OAM) can meet the need or not (e.g. replacing some of the wheels of the cart vs. needing to buy a new cart). Suggest s/mechanism/solution in the document (including the summary) and toning down the negative assertions on MPLS-TP OAM will improve the reading. In my comments below, I noted several negative assertions which are not appropriate. Either reword to be objective or delete.
4.      Considering MPLS-TP is joint work with ITU-T, I checked for any liaisons specific to this draft (other than as part of a list of on-going work) and didn't find any? It would be good to give ITU-T a heads-up. Though it would be best to tone down the negative assertions on MPLS-TP OAM first.

Thanks,
Deborah

Comments:

1.      This document is a combination of requirements and problem statement. The status needs to be "Informational", not "Proposed Standard".
2.      There are 6 authors listed on the front page.  According to RFC7322, the total number is generally limited to 5.  Please work among yourselves to cut the number of authors.  Alternatively, can just list an Editor (preferred approach). Or you can produce a justification detailing the contributions of each author to consider an exception and the Document Shepherd will need to include it in the write-up for review by the IESG.
3.      The Abstract is too long -it needs to be shortened. There is no need to repeat the history and justification of MPLS-TP. While wordy, it is missing any mention of "temporal", "temporary", or on-demand. Why not simply use the term "on-demand" (instead of three terms) which is used in other MPLS-TP documents? RFC6371 5.7.1 defines on-demand as initiated manually and for a limited time. Seems to fit.
4.      Introduction/2nd paragraph: "Similar to legacy technologies, MPLS-TP also does not scale when an arbitrary number of OAM functions is enabled." I don't think it is appropriate in an IETF document to make negative assertions on ITU-T technologies, especially this assertion is actually dependent on implementations and deployment. The same can be said for MPLS-TP. All of the ITU-T Recommendations (as early as Y.1711) had this as a basic principal. And it is stated (both ITU-T and IETF), it is for an operator to manage, but the solution should not limit. Remove.
5.      I don't think P-1 or P-2 help to justify the need and only weaken the rationale. P-1 on "lowers the bandwidth efficiency" and P-2 on "management complexity" because of the shim header stacking was not discussed in any of the MPLS-TP documents as a problem. And ITU-T Y.1711's requirement was that OAM packets were to be differentiated by label stacking and sublayering so these "problems" are not aligned with ITU-T's architecture for OAM or IETF'S (e.g. RFC6371). Considering MPLS also needs extra server layers for transport, I don't think the bandwidth penalty of extra labels is significant. If you insist to keep this "problem", you will need objective proof.
6.      P-2 problem on an "identifier management issue" paragraph is very questionable as to what it implies and this is not aligned with MPLS-TP requirements. Supporting identifiers is REQUIRED by MPLS-TP OAM (and the other technologies). Whether or not an operator chooses to use them is optional. Operators can choose to utilize many managed entities or not. They choose to use whichever functions are needed. They are not "forced" as stated here. Not to support identifiers will have security implications. The negative comments on OTN and Ethernet need to be removed. I have never heard an ITU operator raise these concerns, and while ITU operators have argued over the format of identifiers, none have argued not to have them. Later, M-7 has an identifier requirement. So not clear - are you going to use identifiers or not?
7.      P-3 and P-4 while considered problems in this document, were not considered requirements (or problems) in the original MPLS-TP OAM requirements. This should be clearly described that what you want is in addition to the original requirements. The summary statement needs to be reframed that the intention is for operation of an MPLS network (not as stated for an MPLS-TP transport network) if you are not basing your solution on MPLS-TP's standard (hierarchical LSP) solution.
8.      Section 5: Packet Loss and Packet Delay in the original MPLS-TP OAM requirements were only defined for MEPs (SPME is implemented as a MEP too). These should clearly be identified as new requirements if you intend for a "MIP" to originate and terminate. It's very confusing to use standard terminology of MEP/MIP but change the definition/requirements (e.g. section 6.6). You can't redefine a MIP functionality.
9.      Section 6.6: M-7 doesn't seem to align with the text. As this is the first use of MEP/MIP need to spell out and provide a reference. The description is difficult to parse - EPSM points do not correspond with MIPs or MEPs?
10.     Missing any requirements on compatibility/re-use with the standard solution.
11.     Security Considerations - incorrect reference. If the intention is not to support identifiers, the security considerations are not the same as previous.
12.     As only a subset of the OAM requirements can be done, this doesn't seem to be "enhanced" compared to MPLS-TP OAM. May want to reconsider the title to state what it is "Requirements for Hitless On-demand LSP Segment Monitoring".
13.     I had some editorial nits though will wait for a re-spin of the document. I've also asked for a Routing Directorate review - hopefully will be done early next week.